#!/system/bin/sh
# Geunsik Lim <geunsik.lim@samsung.com>

NN_DIR="/data/nnstreamer"
export LD_LIBRARY_PATH=$NN_DIR/libandroid:$NN_DIR/libgstreamer:$NN_DIR/libnnstreamer
export GST_PLUGIN_PATH=$NN_DIR/libgstreamer:$NN_DIR/libnnstreamer

echo "Removing the existing *.log files...."
./busybox rm -rf ./tensorsequence*.log

$NN_DIR/test

if [[ -n $(echo tensorsequence*.log) ]];then
    echo "\n\nSUccess!!! \nGenerated log files are as following:"
    ./busybox ls *.log
else
    echo "\n\nOooops!!! \nIt seems that the system environment has incorrect software components."
fi
